<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc_common.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('erpc__common_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">erpc_common.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2015-2016, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__ERPC_COMMON_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__ERPC_COMMON_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">// Definitions</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="group__infra.html#gacf5d3df9e7a78f29bc823b71f1529752">   47</a></span>&#160;<span class="keyword">enum</span> <a class="code" href="group__infra.html#gacf5d3df9e7a78f29bc823b71f1529752">_erpc_status</a></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;{</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aad3aa76a604b7bd6c3828c50b33dca33">   50</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aad3aa76a604b7bd6c3828c50b33dca33">kErpcStatus_Success</a> = 0,</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7374ea87a0dbfbeaf30d4cf48ac0bc14">   53</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7374ea87a0dbfbeaf30d4cf48ac0bc14">kErpcStatus_Fail</a> = 1,</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3d0a3bb3b575e8c00170e331283e7635">   56</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3d0a3bb3b575e8c00170e331283e7635">kErpcStatus_InvalidArgument</a> = 4,</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7aa4608aa8a74a398c117e2b8ba3ef7e">   59</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7aa4608aa8a74a398c117e2b8ba3ef7e">kErpcStatus_Timeout</a> = 5,</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ab47e61aa4fbaea9c88e4f50f40dd5d2a">   62</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ab47e61aa4fbaea9c88e4f50f40dd5d2a">kErpcStatus_InvalidMessageVersion</a> = 6,</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7f56f6474929370730ffb3b447470961">   65</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7f56f6474929370730ffb3b447470961">kErpcStatus_ExpectedReply</a>,</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ab538a946427158413afd27456c90945d">   68</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ab538a946427158413afd27456c90945d">kErpcStatus_CrcCheckFailed</a>,</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3bff393dd25fb3a82cb6742c012959c7">   71</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3bff393dd25fb3a82cb6742c012959c7">kErpcStatus_BufferOverrun</a>,</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aff42f37fa0019fe4e4186b9c78839ca6">   74</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aff42f37fa0019fe4e4186b9c78839ca6">kErpcStatus_UnknownName</a>,</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ac02db82027bb8ac3d7e586681ed6eacb">   77</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ac02db82027bb8ac3d7e586681ed6eacb">kErpcStatus_ConnectionFailure</a>,</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752adc60b9b2440d0fcc2ca34938e3b25072">   80</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752adc60b9b2440d0fcc2ca34938e3b25072">kErpcStatus_ConnectionClosed</a>,</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ad62371146340d07afd6c9d8f9b53aef8">   83</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ad62371146340d07afd6c9d8f9b53aef8">kErpcStatus_MemoryError</a>,</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a1a761dcd55621eb0e6620f33d5aaa1cd">   86</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a1a761dcd55621eb0e6620f33d5aaa1cd">kErpcStatus_ServerIsDown</a>,</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a6ba8baecca7387e53cdd77e7414a9bf4">   89</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a6ba8baecca7387e53cdd77e7414a9bf4">kErpcStatus_InitFailed</a>,</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a27228549b96649e28f58852f5f7ea203">   92</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a27228549b96649e28f58852f5f7ea203">kErpcStatus_ReceiveFailed</a>,</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a6b5748a4c4dc3087a70c64386dc8d7b0">   95</a></span>&#160;    <a class="code" href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a6b5748a4c4dc3087a70c64386dc8d7b0">kErpcStatus_SendFailed</a></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;};</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">   99</a></span>&#160;<span class="keyword">typedef</span> int32_t <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _EMBEDDED_RPC__ERPC_COMMON_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="group__infra_html_ga5f8872e58f09a16d192bf664f9898651"><div class="ttname"><a href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a></div><div class="ttdeci">int32_t erpc_status_t</div><div class="ttdoc">Type used for all status and error return values. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:99</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a6b5748a4c4dc3087a70c64386dc8d7b0"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a6b5748a4c4dc3087a70c64386dc8d7b0">kErpcStatus_SendFailed</a></div><div class="ttdoc">Failed to send data. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:95</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a27228549b96649e28f58852f5f7ea203"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a27228549b96649e28f58852f5f7ea203">kErpcStatus_ReceiveFailed</a></div><div class="ttdoc">Failed to receive data. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:92</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752aad3aa76a604b7bd6c3828c50b33dca33"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aad3aa76a604b7bd6c3828c50b33dca33">kErpcStatus_Success</a></div><div class="ttdoc">No error occurred. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:50</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752aff42f37fa0019fe4e4186b9c78839ca6"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752aff42f37fa0019fe4e4186b9c78839ca6">kErpcStatus_UnknownName</a></div><div class="ttdoc">Could not find host with given name. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:74</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a7aa4608aa8a74a398c117e2b8ba3ef7e"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7aa4608aa8a74a398c117e2b8ba3ef7e">kErpcStatus_Timeout</a></div><div class="ttdoc">Operated timed out. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:59</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a1a761dcd55621eb0e6620f33d5aaa1cd"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a1a761dcd55621eb0e6620f33d5aaa1cd">kErpcStatus_ServerIsDown</a></div><div class="ttdoc">Server is stopped. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:86</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a6ba8baecca7387e53cdd77e7414a9bf4"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a6ba8baecca7387e53cdd77e7414a9bf4">kErpcStatus_InitFailed</a></div><div class="ttdoc">Transport layer initialization failed. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:89</div></div>
<div class="ttc" id="group__infra_html_gacf5d3df9e7a78f29bc823b71f1529752"><div class="ttname"><a href="group__infra.html#gacf5d3df9e7a78f29bc823b71f1529752">_erpc_status</a></div><div class="ttdeci">_erpc_status</div><div class="ttdoc">eRPC status return codes. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:47</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752ab538a946427158413afd27456c90945d"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ab538a946427158413afd27456c90945d">kErpcStatus_CrcCheckFailed</a></div><div class="ttdoc">Message is corrupted. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:68</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752ad62371146340d07afd6c9d8f9b53aef8"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ad62371146340d07afd6c9d8f9b53aef8">kErpcStatus_MemoryError</a></div><div class="ttdoc">Memory allocation error. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:83</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752adc60b9b2440d0fcc2ca34938e3b25072"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752adc60b9b2440d0fcc2ca34938e3b25072">kErpcStatus_ConnectionClosed</a></div><div class="ttdoc">Connected closed by peer. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:80</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a3d0a3bb3b575e8c00170e331283e7635"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3d0a3bb3b575e8c00170e331283e7635">kErpcStatus_InvalidArgument</a></div><div class="ttdoc">Argument is an invalid value. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:56</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752ab47e61aa4fbaea9c88e4f50f40dd5d2a"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ab47e61aa4fbaea9c88e4f50f40dd5d2a">kErpcStatus_InvalidMessageVersion</a></div><div class="ttdoc">Message header contains an unknown version. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:62</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a3bff393dd25fb3a82cb6742c012959c7"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a3bff393dd25fb3a82cb6742c012959c7">kErpcStatus_BufferOverrun</a></div><div class="ttdoc">Attempt to read or write past the end of a buffer. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:71</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752ac02db82027bb8ac3d7e586681ed6eacb"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752ac02db82027bb8ac3d7e586681ed6eacb">kErpcStatus_ConnectionFailure</a></div><div class="ttdoc">Failed to connect to host. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:77</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a7374ea87a0dbfbeaf30d4cf48ac0bc14"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7374ea87a0dbfbeaf30d4cf48ac0bc14">kErpcStatus_Fail</a></div><div class="ttdoc">Generic failure. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:53</div></div>
<div class="ttc" id="group__infra_html_ggacf5d3df9e7a78f29bc823b71f1529752a7f56f6474929370730ffb3b447470961"><div class="ttname"><a href="group__infra.html#ggacf5d3df9e7a78f29bc823b71f1529752a7f56f6474929370730ffb3b447470961">kErpcStatus_ExpectedReply</a></div><div class="ttdoc">Expected a reply message but got another message type. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:65</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
